Public Member Functions | Protected Member Functions

# ObjectOverrideManager Class Reference

Inheritance diagram for ObjectOverrideManager:

## Public Member Functions
| ObjectOverrideManager (uint16 offset, uint16 maximum, uint16 invalid)
void | SetEntitySpec (ObjectSpec *spec)
| Method to install the new object data in its proper slot The slot assigment is internal of this method, since it requires checking what is available.
## Protected Member Functions
virtual bool | CheckValidNewID (uint16 testid)

## Detailed Description

Definition at line 279 of file newgrf_commons.h.

## Member Function Documentation

void ObjectOverrideManager::SetEntitySpec | ( | ObjectSpec * | spec | ) |

Method to install the new object data in its proper slot The slot assigment is internal of this method, since it requires checking what is available.

Parameters:

  | spec | ObjectSpec that comes from the grf decoding process

Definition at line 315 of file newgrf_commons.cpp.

References _object_specs, OverrideManagerBase::AddEntityID(), OverrideManagerBase::GetID(), ObjectSpec::grf_prop, GRFFilePropsBase< Tcnt >::grffile, grfmsg(), OverrideManagerBase::invalid_ID, GRFFilePropsBase< Tcnt >::local_id, NUM_OBJECTS, and OBJECT_TRANSMITTER.

Referenced by FinaliseObjectsArray().

The documentation for this class was generated from the following files:

- src/newgrf_commons.h
- src/newgrf_commons.cpp